package com.javamonkey.test;

/*
 * Copyright (c) 2000 Kenamea, Inc.
 */

/**
 * Interface used to encapsulate the test code for an ExpectTest.
 */
public interface ExpectTestRunner {

  /**
   * Run test code on the given argument and return some result.
   * ExpectTest will compare the result to the expected result and
   * report success or failure. Any exception will be treated as a
   * failure.
   */
  public Object run(Object arg) throws Exception;

}
