package com.javamonkey.utils.reflect;

/*
 * Copyright (c) 1999 Peter Seibel
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */

/**
 * Base class for exceptions thrown by {@link Reflector#invoke()
 * Reflector.invoke()}.
 *
 * @version $Id: //depot/macaca/src/com/javamonkey/utils/reflect/InvocationException.java#1 $
 */
public class InvocationException extends ReflectorException {

  public InvocationException() {
  }

  public InvocationException(String msg) {
    super(msg);
  }
}
